Update
curl --request PATCH \
--url https://{defaultHost}/v1/tax_registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_registration": {
"tax_identifier": {
"number_type": "au_abn",
"number": "51824753556"
}
}
}
'import requests
url = "https://{defaultHost}/v1/tax_registrations/{id}"
payload = { "tax_registration": { "tax_identifier": {
"number_type": "au_abn",
"number": "51824753556"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_registration: {tax_identifier: {number_type: 'au_abn', number: '51824753556'}}
})
};
fetch('https://{defaultHost}/v1/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "08d991aa-0586-466f-bb08-d142e9c904f4",
"object": "tax_registration",
"label": null,
"manual_rate": 5.5,
"tax_identifier": "35d7badc-d1fc-4aea-8c0d-ebb0f6fdf555",
"tax_zone": "b17c7c76-420b-4423-94fe-32005345c083",
"created_at": 1782485913,
"updated_at": 1782485913
}Tax Registrations
Update
Updates a specific tax registration.
PATCH
/
v1
/
tax_registrations
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The tax label for this tax registration. If blank, the default tax label from the tax zone will be used.
The manual tax rate to use for this tax registration.
Expandable – The associated tax zone ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I